---
title: mask-type
slug: Web/CSS/mask-type
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Reference
  - SVG
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-type</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets whether an SVG {{svgElement("mask")}} element is used as a <em>luminance</em> or an <em>alpha</em> mask. It applies to the <code>&lt;mask&gt;</code> element itself.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
mask-type: luminance;
mask-type: alpha;

/* Global values */
mask-type: inherit;
mask-type: initial;
mask-type: unset;
</pre>

<p>This property may be overridden by the {{cssxref("mask-mode")}} property, which has the same effect but applies to the element where the mask is used. Alpha masks will generally be faster to render.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>mask-type</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>luminance</code></dt>
 <dd>Is a keyword indicating that the associated mask image is a luminance mask, i.e., that its <a href="https://en.wikipedia.org/wiki/Luminance_%28relative%29">relative luminance</a> values must be used when applying it.</dd>
 <dt><code>alpha</code></dt>
 <dd>Is a keyword indicating that the associated mask image is an alpha mask, i.e., that its <a href="https://en.wikipedia.org/wiki/Alpha_compositing">alpha channel</a> values must be used when applying it.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_an_alpha_mask">Setting an alpha mask</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="redsquare"&gt;&lt;/div&gt;
&lt;svg version="1.1" xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink" width="0" height="0"&gt;
  &lt;defs&gt;
    &lt;mask id="m" maskContentUnits="objectBoundingBox"
      style="mask-type:alpha"&gt;
      &lt;rect x=".1" y=".1" width=".8" height=".8"
          fill="red" fill-opacity="0.7"/&gt;
    &lt;/mask&gt;
  &lt;/defs&gt;
&lt;/svg&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.redsquare {
  height: 100px;
  width: 100px;
  background-color: rgb(128, 128, 128);
  border: solid 1px black;
  mask: url("#m");
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_an_alpha_mask', '100%', '102')}}</p>

<h3 id="Setting_a_luminance_mask">Setting a luminance mask</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="redsquare"&gt;&lt;/div&gt;
&lt;svg version="1.1" xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink" width="0" height="0"&gt;
  &lt;defs&gt;
    &lt;mask id="m" maskContentUnits="objectBoundingBox"
      style="mask-type:luminance"&gt;
      &lt;rect x=".1" y=".1" width=".8" height=".8"
          fill="red" fill-opacity="0.7"/&gt;
    &lt;/mask&gt;
  &lt;/defs&gt;
&lt;/svg&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">.redsquare {
  height: 100px;
  width: 100px;
  background-color: rgb(128, 128, 128);
  border: solid 1px black;
  mask: url("#m");
  mask-type:luminance;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample('Setting_a_luminance_mask', '100%', '102')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Masks', '#the-mask-type', 'mask-type')}}</td>
   <td>{{Spec2('CSS Masks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other mask-related properties: {{cssxref("mask")}}, {{cssxref("mask-mode")}}</li>
</ul>
